//
//  QGFilterValue.h
//  Immutation
//
//  Created by Matthew McCowan on 7/13/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"


@interface QGFilterValue : QGObject  <NSCoding>
{
	// Instance
	NSString            *name;
	NSMutableDictionary *inputValues;
}

// Initialization
- (id) initWithFilterName:(NSString *)initName;
- (id) initWithFilter:(CIFilter *)initFilter;

// Setters and Getters
- (void) setValue:(id)newValue forInputKey:(NSString *)newKey;
- (void) setValue:(QGKeyedValue *)newValue;
- (void) setValuesFromFilter:(CIFilter *)filter;
- (void) setValues:(NSDictionary *)newDictionary;
- (void) setName:(NSString *)newName;

// Actions
- (void) setValuesOfFilter:(CIFilter *)filter;
- (void) setValueOfFilter:(CIFilter *)filter forInputKey:(NSString *)inputKey;


// Archiving
- (void) encodeWithCoder:(NSCoder *)coder;
- (id) initWithCoder:(NSCoder *)coder;

@end
