//
//  QGImageView.h
//  Quickgigs Immutation
//
//  Created by Matthew McCowan on 4/15/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import "QGFoundation.h"
#import "QGImage.h"
#import "QGImageManager.h"
#import "QGOrientationSwitch.h"

@interface QGImageView : QGView 
{
	// Outlets
	IBOutlet QGImageManager      *imageManager;
	IBOutlet QGOrientationSwitch *orientationController;

	// Instance
	NSColor   *backgroundColor;
	CIContext *context;
}

// Image Information
- (BOOL) hasImages;

// Setters & Getters
- (void) setBackgroundColor:(NSColor *)color;
- (NSColor *)backgroundColor;


// Drawing Support
- (void) fillBackground;


// Core Image Helpers
- (CGRect) coreBounds;
- (CGPoint) eventPoint:(NSEvent *)theEvent;

@end
